// ---=== Kick Off sky ===---

textures/ut4_kickoff/ko_sky4
{
	qer_editorimage env/ut4_kickoff/purplenebula_bk.tga
	q3map_globaltexture
	q3map_skylight 80 3
	q3map_backSplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	q3map_sunEXT 0.5 0.6 0.5 90 0 40 1 16
	skyparms env/ut4_kickoff/purplenebula 512 -
}


//Ladderclip form UrT

textures/ut4_kickoff/ko_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

//glass: slippery, no damage

textures/ut4_kickoff/ko_glass_slip
{
	qer_editorimage textures/ut4_kickoff/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kickoff/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_kickoff/ko_glassblk04_b
{
	qer_editorimage textures/ut4_kickoff/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_glassblk04_r
{
	qer_editorimage textures/ut4_kickoff/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_kickoff/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_kickoff/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_kickoff/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_kickoff/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage Materials ===---

textures/ut4_kickoff/ko_metal1
{
	qer_editorimage textures/ut4_kickoff/pr_metal079.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kickoff/pr_metal079.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}


// Wily Duck's animated levelshot

levelshots/ut4_kickoff_a6
{
	nopicmip
	{
		animmap 1 levelshots/ut4_kickoff/kickoff1.tga levelshots/ut4_kickoff/kickoff5.tga levelshots/ut4_kickoff/kickoff6.tga levelshots/ut4_kickoff/kickoff3.tga levelshots/ut4_kickoff/kickoff2.tga levelshots/ut4_kickoff/kickoff4.tga
	}
	{
		map levelshots/ut4_kickoff/ut4_kickoff_fore.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}